ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceDeviceMap

- java.lang.Object
- - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceDeviceMap

- All Implemented Interfaces:
    EventListener<Event>

      public class VoiceDeviceMap
      extends java.lang.Object
      implements EventListener<Event>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `VoiceDeviceMap.VoiceDeviceMapItem`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fix(ParameterMap params, Preferences fix, java.lang.String prefixOld, java.lang.String prefixNew)`
    `VoiceDeviceMap.VoiceDeviceMapItem` | `get(int deviceId)`
    `static VoiceDeviceMap` | `getInstance(int moduleId)`
    `java.util.Map<java.lang.Integer,VoiceDeviceMap.VoiceDeviceMapItem>` | `getMap()`
    `long` | `getVersion()`
    `void` | `notify(Event e, EventListenerContext ctx)`
    `void` | `reload()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static VoiceDeviceMap getInstance(int moduleId)
                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getVersion

          public long getVersion()

    - #### fix

          public void fix(ParameterMap params,
                          Preferences fix,
                          java.lang.String prefixOld,
                          java.lang.String prefixNew)

    - #### get

          public VoiceDeviceMap.VoiceDeviceMapItem get(int deviceId)
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getMap

          public java.util.Map<java.lang.Integer,VoiceDeviceMap.VoiceDeviceMapItem> getMap()
                                                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### notify

          public void notify(Event e,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### reload

          public void reload()